<template>
  <div class="filtered-location-panel d-flex flex-grow-1 flex-column py-1 px-2">
    <location-status-control v-for="location in locations"
      :key="location.uniqueId"
      :locationId="location.uniqueId"/>
  </div>
</template>

<script>
import WorkspaceGetter from '@/workspace/mixins/WorkspaceGetter'
import LocationStatusControl from '@/workspace/components/locations/LocationStatusControl'

export default {
  name: 'filteredlocationpanel',

  mixins: [
    WorkspaceGetter,
  ],

  computed: {
    currentLocationGroup: {
      get() {
        return this.$store.getters.workspaceLocationGroupById(
          this.workspaceId,
          this.$store.getters.workspaceActiveLocationGroup(this.workspaceId)
        )
      }
    },

    locations: {
      get() {
        return this.$store.getters.workspaceLocations(this.workspaceId).filter(location => {
          return location.groups.includes(this.currentLocationGroup.id)
        }).sort((a, b) => {
          if(a.name < b.name) return -1
          if(a.name > b.name) return 1
          return 0
        })
      }
    },
  },

  components: {
    LocationStatusControl,
  },
}
</script>

<style scoped>
.filtered-location-panel {
  font-size: 0.8rem;
  width: 15rem;
}
</style>
